dpkg-scanpackages(1)

NAMN
dpkg-scanpackages - skapar indexfilerna Packages

SYNOPS
dpkg-scanpackages [flagga...] binärsökväg [överstyrningsfil [sökvägsprefix]] > Packages

BESKRIVNING
dpkg-scanpackages går genom ett träd av Debianbinärpaket och skapar en Packages-fil, som apt(8), dselect(8) osv. använder för att berätta för användaren vilka paket som kan installeras. Dessa Packages-filer är desamma som de som finns på Debianarkivspeglar och mediaskivor. Du kan använda dpkg-scanpackages själv för att skapa en katalog med lokala paket att installera på en klase maskiner.

Observera: Om du vill läsa den skapade Packages-filen med apt(8) måste du antagligen komprimera filen med xz(1) (vilket skapar filen Packages.xz), bzip2(1) (vilket skapar filen Packages.bz2) eller gzip(1) (vilket skapar filen Packages.gz). apt(8) ignorerar okomprimerade Packages-filer, förutom vid lokal åtkomst (dvs. file://-källor).

binärsökväg är namnet på trädet med binärpaketen som ska hanteras (till exempel contrib/binary-i386). Det är bäst att skapa den relativt till roten på Debianarkivet eftersom alla Filename-fält i den skapade Packages-filen kommer inledas med strängen.

överstyrningsfil är namnet på en fil som ska läsas in och som innehåller information om hur paketet passar in i distributionen (filen kan vara komprimerad sedan dpkg 1.15.5); se deb-override(5).

sökvägsprefix är en frivillig sträng som läggs till i början i filnamnsfältet.

Om mer än en version av ett paket upptäcks kommer endast den senaste att tas med i utdata. Om de har samma version och bara skiljer i arkitektur kommer bara den första som hittas att användas.

FLAGGOR

-t, --test typ
    Sök efter *.typ-paket, i stället för *.deb.

-e, --extra-override fil
    Läs fil för att hitta ytterligare överstyrningar (filen kan vara komprimerad sedan dpkg 1.15.5). Se deb-extra-override(5) för mer information om dess format.

-a, --arch arkitektur
    Use a pattern consisting of *_all.deb and *_arch.deb, or *_arch.deb if --no-implicit-arch has been specified, instead of scanning for all debs.

--no-implicit-arch
    Do not implicitly add architecture all binary packages when specifying --arch.

    Supported since dpkg 1.23.6.

-h, --hash hashlista
    Skapar bara filhashar för den angivna kommaavdelade listan (sedan dpkg 1.17.14). Förval är att generera alla hashar som stöds. Värden som stöds är: md5, sha1, sha256.

-m, --multiversion
    Ta med alla paket som hittas i utdata.

-M, --medium idsträng
    Lägg till ett X-Medium-fält som innehåller värdet idsträng (sedan dpkg 1.15.5). Fältet är nödvändigt om du vill generera Packages.cd-filer som kan användas med dselect:s media-åtkomstmetod.

-?, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

MILJÖVARIABLER

DPKG_COLORS
    Väljer färgläge (sedan dpkg 1.18.5). För närvarande godtas följande värden: auto (förval), always och never.

DPKG_NLS
    Om satt, används för att bestämma om lokalt språkstöd ska aktiveras, även känt som internationaliseringsstöd (eller i18n) (sedan dpkg 1.19.0). Tillåtna värden är: 0 och 1 (förval).

DIAGNOSTIK
dpkg-scanpackages skriver ut de vanliga självförklarande felen. Det varnar även om paket ligger i fel katalog har dubbletter, har ett Filename-fält i sin control-fil, saknas från överstyrningsfilen, eller har substitueringar utan effekt skrivna av paketansvariga.

SE ÄVEN
dpkg(1), dselect(1), deb-override(5), deb-extra-override(5), dpkg-scansources(1).

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.